import es
import string
import playerlib
import popuplib
import usermsg

info = es.AddonInfo()
info['name'] = "Undead Steam Community"
info['basename'] = "undead_steam_community"
info['version'] = "1.0"
info['author'] = "Undead"
info['url'] = ""
info['description'] = "View Other's Steam Community Profiles or Friend Invite Them"

dictPlayer = {}

def load():
  v = popuplib.easymenu('v', '_popup_choice', v_select)
  v.settitle("Select a Option:")
  v.addoption('1', "Profile View")
  v.addoption('2', "Friend Invite")
  for player in playerlib.getUseridList('#human'):
    dictPlayer_add(player)
  es.msg('#multi', '#default[#greenSteam Community#default] by #lightgreenUndead #defaulthas been loaded!')

def dictPlayer_add(userid):
  global dictPlayer
  if int(userid) not in dictPlayer:
    dictPlayer[int(userid)] = {}
    dictPlayer[int(userid)]["option"] = None

def player_disconnect(ev):
  global dictPlayer
  if int(ev['userid']) in dictPlayer:
    del dictPlayer[int(ev['userid'])]

def player_say(ev):
  if ev['text'] == '!steam':
    popuplib.send('v', ev['userid'])

def v_select(userid, choice, popupid):
  global dictPlayer
  dictPlayer[int(userid)]["option"] = choice
  p = popuplib.easymenu('p', '_popup_choice', p_select)
  p.settitle("Select a Player:")
  for x in playerlib.getUseridList('#human'):
    p.addoption(x, es.getplayername(x))
  p.send(ev['userid'])

def p_select(userid, choice, popupid):
  if int(userid) in dictPlayer:
    option = dictPlayer[int(userid)]["option"]
    steamid = es.getplayersteamid(choice)
    if steamid != 'BOT' and steamid != 'STEAM_ID_LAN' and steamid != 'STEAM_ID_PENDING':
      serverid = steamid[8]
      steamid = steamid.replace('STEAM_0:' + serverid + ':', '')
      communityid = int(steamid) * 2 + int(serverid) + 76561197960265728
      if option == '1':
        url = 'http://steamcommunity.com/profiles/%d'%communityid
      elif option == '2':
        url = 'steam://friends/add/%d'%communityid 
      usermsg.showVGUIPanel(userid, 'info', True, {'type':2, 'title':'Steam Commnuity', 'msg':'%s'%url})
  popuplib.delete('p')

def unload():
  for x in ('v','p'):
    if popuplib.exists(x):
      popuplib.delete(x)
  es.msg('#multi', '#default[#greenSteam Community#default] by #lightgreenUndead #defaulthas been unloaded!')